%define lib_major 0
%define lib_name %mklibname djconsole %{lib_major}
%define devel_name %mklibname djconsole -d

Name: libdjconsole
Summary: Libdjconsole - Support for hardware dj consoles
Version: 0.1.3
Release: %mkrel 12
License: LGPL
Group: System/Libraries
Source: http://downloads.sourceforge.net/djplay/%{name}-%{version}.tar.gz
Patch0: libdjconsole-0.1.3-automake-1.13.patch
Patch1: libdjconsole-0.1.3-udev-rules-dir.patch
URL: http://djplay.sourceforge.net/
BuildRequires: pkgconfig(libusb) >= 0.1.1
BuildRequires: sed
Requires: %{lib_name} = %{version}

%description
libdjconsole - Support for hardware dj consoles

%files
%dir %_datadir/libdjconsole
%_datadir/libdjconsole/*
%{_udevrulesdir}/45-hpdjconsole.rules

#--------------------------------------------------------------------

%package -n %{lib_name}
Summary:  %{summary}
Group: %{group}

%description -n %{lib_name}
libdjconsole - Support for hardware dj consoles

%files -n %{lib_name}
%_libdir/libdjconsole.so.%{lib_major}*

#--------------------------------------------------------------------

%package -n %{devel_name}
Summary:  %{summary}
Group: Development/C++
Provides: %{name}-devel = %{version}
Requires: %{lib_name} = %{version}
Obsoletes: %{lib_name}-devel

%description -n %{devel_name}
libdjconsole - Support for hardware dj consoles

%files -n %{devel_name}
%_libdir/pkgconfig/*
%_libdir/*.so
%_includedir/*

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p0
sed -i "s,^libdir=.*,libdir=@libdir@,g" libdjconsole.pc.in

%build
autoreconf -fi
%configure \
	--disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.1.3-12.mga8
+ Revision: 1514050
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.1.3-11.mga7
+ Revision: 1298807
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.1.3-10.mga6
+ Revision: 944559
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.3-9.mga5
+ Revision: 744803
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.3-8.mga5
+ Revision: 681415
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.3-7.mga4
+ Revision: 521064
- Mageia 4 Mass Rebuild

* Wed Jan 16 2013 fwang <fwang> 0.1.3-6.mga3
+ Revision: 388548
- correct udev rules dir

* Sat Jan 12 2013 fwang <fwang> 0.1.3-5.mga3
+ Revision: 357166
- fix build with latest automake
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 fwang <fwang> 0.1.3-4.mga3
+ Revision: 300004
- cleanup spec

* Fri Apr 01 2011 dams <dams> 0.1.3-3.mga1
+ Revision: 79491
- Import and clean
- imported package libdjconsole


* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 0.1.3-3mdv2010.0
+ Revision: 439070
- rebuild for new libusb

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Mon Sep 01 2008 Emmanuel Andry <eandry@mandriva.org> 0.1.3-1mdv2009.0
+ Revision: 278582
- fix group
- New version
- use autotools and libtoolize
- apply devel policy
- check major
- only package libs in versionned lib package

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - fix summary-not-capitalized
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri May 04 2007 Helio Chissini de Castro <helio@mandriva.com> 0.1.2-2mdv2008.0
+ Revision: 22535
- Fix pkgconfig for build in x86_64

* Fri May 04 2007 Helio Chissini de Castro <helio@mandriva.com> 0.1.2-1mdv2008.0
+ Revision: 22470
- First release. This is for all music hardware control freaks like me having fun \!
- import libdjconsole-0.1.2-1mdv2008.0


